
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ANGULAR $HTTP请求【转】 / 憋错料</title>

    <meta name="description" content="ANGULAR $HTTP请求【转】 angular使用post.get向后台传参的问题 一.问题的来源 我们都知道向后台传参可以使用get.put,其形式就类似于name=jyy&amp;id=001.但是在ng中我却发现使用$http post进行异步传输的过程中后台是接收不到数据的.其实这个问题是因为请求头的缘故.在ng中默认的请求头是:&quot;Content-Type&quot;:&quot;application/json&quot;,也就是说传递参数是使用的就是json格式.但是后台默认的却是Content-Type ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">ANGULAR $HTTP请求【转】</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><a href="http://www.cnblogs.com/jyybeam/p/6122346.html" rel="external nofollow noreferrer">angular使用post、get向后台传参的问题</a></p>
<p><strong>一、问题的来源</strong></p>
<p>　　我们都知道向后台传参可以使用get、put，其形式就类似于name=jyy&amp;id=001。但是在ng中我却发现使用$http post进行异步传输的过程中后台是接收不到数据的。其实这个问题是因为请求头的缘故。在ng中默认的请求头是：“Content-Type":"application/json"，也就是说传递参数是使用的就是json格式。但是后台默认的却是Content-Type‘: ‘application/x-www-form-urlencoded‘。因此在这样的情况下后台接收到的数据就会是空的。</p>
<p>　　那么为什么使用get形式就可以传参呢？在书中我发现这样的一句话：”这个键的值是一个字符串map或对象，会被转换成查询字符串追加在URL后面。如果值不是字符串，会被JSON序列化”，可以理解为在get中参数的传递是直接追加在url后面的，那么此时参数形式{"id":"1","name":"jyy"}会被转化成id=1&amp;name=jyy追加在url后面。那么在后台中就可以直接获取到了。例如：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<pre>var app = angular.module(‘app‘,[]);
        app.controller(‘ctrl‘,function($scope,$q,$http){
            var defer = $q.defer();
            var promise = defer.promise;
            $http({
                method: "get",
                params:{id:1,name:jyy},
                url:"1.php"
            }).success(function(data){
                defer.resolve(data);
            });
            promise.then(function(data){
                $scope.data = data;
            })
        })</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p>　　在后台（PHP）输入echo $_GET[id]就可以正常显示了。</p>
<p>那么接下来就研究怎么解决post的传值了。</p>
<p><strong>二、问题的解决</strong></p>
<p><strong>　　1. 修改请求头<br /></strong></p>
<p>　　第一种方法就是在ng中修改请求头将json格式改成x-www-form-urlencoded。<a href="http://blog.csdn.net/magiclr/article/details/49643277" rel="external nofollow noreferrer">修改方法</a>点击即可查看。</p>
<p>　　值得注意的是，在使用第二种方法时，可以修改put，get，post，common的传参格式。因此修改哪种方式，就只能使用这种方式才能在后台得到参数。这篇博文写到使用common进行设置可以同时使用put、get、post进行传参。但是在我的实际操作中发现对common进行修改并不能使用post进行传参，而只有设置了post的请求头才可以。</p>
<p>　　另外由于在ng中的参数都是使用json格式表达，因此需要引入jquery，使用其$.param("参数列表的json格式")进行序列化表示。</p>
<p>　　首先使用修改post请求头。具体代码如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<pre>var app = angular.module(‘app‘);　　
        app.config(function($httpProvider){
            $httpProvider.defaults.headers.post = { ‘Content-Type‘: ‘application/x-www-form-urlencoded‘ }
        })
        app.controller(‘ctrl‘,function($scope,$resource,$q,$http){
            var defer = $q.defer();
            var promise = defer.promise;
            $http({
                method: "post",
                data:$.param({"id":"1","name":"jyy"}),
                url:"1.php"
            }).success(function(data){
                defer.resolve(data);
            });
            promise.then(function(data){
                $scope.data = data;
            })
        })</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p>　　此时在后台中（使用的是php),输入echo $_POST[id],就会显示。而debug其中显示的请求头正是我们设置的。</p>
<p>　<strong>　2.在后台进行解决</strong></p>
<p><strong>　　</strong>由于使用的是php，所以暂时用php的方法解决。在这个方法中，我们不修改请求头。因为get传值是正常的，那么，只要能够得到post的值就好。既然ng向后台传值了，即便是因为请求头不同，但是总会传过来什么的吧，既然能够传过来，就先获取它。这个时候使用$GLOBALS[‘HTTP_RAW_POST_DATA‘]将这个传过来的东西显示出来。那么这个$GLOBALS[‘HTTP_RAW_POST_DATA‘]是什么呢？在网上查询得知<var>$HTTP_RAW_POST_DATA</var>&nbsp;变量包含有原始的 POST 数据。此变量仅在碰到未识别 MIME 类型的数据时产生,PHP不能识别的Content-Type类型的时候，会将http请求包中相应的数据填入变量$HTTP_RAW_POST_DATA。就是说现在这个请求头虽然是有冲突的，但是却能够显示出来。如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<pre>var app = angular.module(‘app‘,[]);
        app.controller(‘ctrl‘,function($scope,$q,$http){
            var defer = $q.defer();
            var promise = defer.promise;
            $http({
                method: "post",
                data:{‘id‘:‘1‘,‘name‘:‘jyy‘},
                url:"1.php"
            }).success(function(data){
                defer.resolve(data);
            });
            promise.then(function(data){
                $scope.data = data;
            })
        })</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></p>
<p>php代码：</p>
<pre>echo $GLOBALS[‘HTTP_RAW_POST_DATA‘];</pre>
<p>　　此时显示出来的东西是：{"id":"1","name":"jyy"}。发现这个结果是正确显示了。那么直接对齐进行操作不就可以了？好吧，那就先看看是什么类型：使用gettype()得到的是string，就是说他是个json字符串。那就使用json_decode()转换，发现会报错。好吧，放弃使用这个方法。</p>
<p>　　但是此时还有另外的方法。使用file_get_contents("php://input")，这个方法中&nbsp;php://input 是个可以访问请求的原始数据的只读流。&nbsp;POST 请求的情况下，最好使用 php://input 来代替 $HTTP_RAW_POST_DATA，因为它不依赖于特定的 php.ini 指令。 此时这个方法就可以返回传过来的参数了。代码如下：</p>
<pre>$a = json_decode(file_get_contents("php://input"));
    echo $a-&gt;id;</pre>
<p>　　结果输出正确的id。</p>
<p>转载自：http://www.cnblogs.com/liuhongjin/p/6202141.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-30 15:55:16 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/data/" title="data">data</a>, <a href="https://www.biecuoliao.com/tag/%e6%b3%a8%e6%84%8f/" title="注意">注意</a>, <a href="https://www.biecuoliao.com/tag/cat/" title="cat">cat</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.biecuoliao.com/tag/function/" title="function">function</a>, <a href="https://www.biecuoliao.com/tag/url/" title="url">url</a>, <a href="https://www.biecuoliao.com/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.biecuoliao.com/tag/lob/" title="lob">lob</a>, <a href="https://www.biecuoliao.com/tag/%e6%9d%a5%e6%ba%90/" title="来源">来源</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>ANGULAR $HTTP请求【转】的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWww8GM.html" rel="bookmark">半小时入门Angular 2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文首发于由电子工业出版社出版&lt;揭秘Angular 2&gt;一书,基于第5章概览改写. 作者简介:广发证券互联网金融技术团队,是Angular早期坚定的践行者.作为全新一代的证券业 IT 研发组织,团队致力于用更新更好的技术打造行业方案.支持业务创新. 责编:陈秋歌,寻求报道或者投稿请发邮件至chenqg#csdn.net,或加微信:Rachel_qg. 了解更多前沿技术资讯,获取深度技术文章推荐,请关注CSDN研发频道微博. Angular 2.0 于去年 9 月正式发布. 尽管同一时间里 Re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/1XMmp4b.html" rel="bookmark">http请求与响应全过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTTP 无状态性 HTTP 协议是无状态的(stateless).也就是说,同一个客户端第二次访问同一个服务器上的页面时,服务器无法知道这个客户端曾经访问过,服务器也无法分辨不同的客户端.HTTP 的无状态特性简化了服务器的设计,使服务器更容易支持大量并发的HTTP 请求. HTTP 持久连接       HTTP1.0 使用的是非持久连接,主要缺点是客户端必须为每一个待请求的对象建立并维护一个新的连接,即每请求一个文档就要有两倍RTT 的开销.因为同一个页面可能存在多个对象,所以非持久连接可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n0l9p3d.html" rel="bookmark">HTTP 400 错误 - 请求无效 &lpar;Bad request&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在ajax请求后台数据时有时会报 HTTP 400 错误 - 请求无效 (Bad request);出现这个请求无效报错说明请求没有进入到后台服务里: 原因:1)前端提交数据的字段名称或者是字段类型和后台的实体类不一致,导致无法封装: 2)前端提交的到后台的数据应该是json字符串类型,而前端没有将对象转化为字符串类型: 解决方案: 1)对照字段名称,类型保证一致性 2)使用stringify将前端传递的对象转化为字符串    data: JSON.stringify(param)  ;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0e2a3r.html" rel="bookmark">WAF&mdash;&mdash;针对Web应用发起的攻击，包括但不限于以下攻击类型：SQL注入、XSS跨站、Webshell上传、命令注入、非法HTTP协议请求、非授权文件访问等</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				核心概念 WAF Web应用防火墙(Web Application Firewall),简称WAF. Web攻击 针对Web应用发起的攻击,包括但不限于以下攻击类型:SQL注入.XSS跨站.Webshell上传.命令注入.非法HTTP协议请求.非授权文件访问等.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r0arP3l.html" rel="bookmark">POST请求 参数 使用body</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要是记录一下,post请求,参数请放到body里: 虽然放到params里,也可以,但是并不合理,因为url的长度是有限制的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/138NqnM.html" rel="bookmark">http网络请求 基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://tuijian.hao123.com:80/index.html scheme(协议前缀): host(主机):port(端口):path(资源路径) 核心类: URL:网络统计资源定位符 ,标识是网络中唯一资源 HttpURLConnection 网络资源连接类,可以打开网络连接,读取网路资源,上传网路资源等 功能方法:getinputStream()来获取网路资源字节读取流 getContentLength()来获取网路资源字节数 getPesponseCode() 来获取网路			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/v0knY7M.html" rel="bookmark">HTTP请求报文详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTTP Request Header 请求头 Header 解释 示例 Accept 指定客户端能够接收的内容类型 Accept: text/plain, text/html Accept-Charset 浏览器可以接受的字符编码集. Accept-Charset: iso-8859-5 Accept-Encoding 指定浏览器可以支持的web服务器返回内容压缩编码类型. Accept-Encoding: compress, gzip Accept-Language 浏览器可接受的语言 Ac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/bMoQWP3.html" rel="bookmark">学习笔记12JS异步请求</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				*一般用JS来监听按钮事件,都应该先监听页面OnLoad事件. *Js写在哪里,就会在页面解析到哪里执行. 异步请求:所谓异步请求,就是使用JS来监听按钮点击事件,并且发送请求,等到回复后,再使用JS来进行页面跳转,或动态改变页面.使用场合:当请求是ashx是,都可以使用异步方法,页面就无需刷到ashx的一个空白页面或者不用于展示的页面了. *使用jquery发送异步请求:$(&quot;#按钮ID&quot;).Click(fuction(){ $.get( &quot;页面URL.ashx&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/V02bea0.html" rel="bookmark">接口测试，添加请求头的时候，大小写一定要正确</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天同事碰到了一个问题,就是他用robot framework+requests写接口测试用例的时候,post一个json数据的时候,发送出去的数据一直是data=&lt;empty&gt;,明明有数据啊,通过log打印也是没问题. 最终发现是添加头的时候,将Content-Type写成了content-type. 我刚开始也没看出来问题在哪里,费了好长时间才搞定.说一下如何排查出的这个问题吧,以往写Content-Type的时候,还真没注意到大小写的问题,jmeter应该不区分的.于是今天一直没想到是这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q0xQPQ3.html" rel="bookmark">Spring MVC HTTP请求数据绑定</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				package com.springmvc.controller; import com.springmvc.model.UserInfo; import org.springframework.core.io.ClassPathResource; import org.springframework.core.io.Resource; import org.springframework.stereotype.Controller; import org.springframework.uti			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eQpw0.html" rel="bookmark" class="title">个人项目网页2</a>
					<div>
						@charset &quot;utf-8&quot;;/* CSS Document */ *{ margin:0px;padding:0px; } a{ text-decoration: none; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4APZyb3.html" rel="bookmark" class="title">分享一款12306购票软件</a>
					<div>
						这是一款除12306分流抢票外,俺常用的一款12306购票软件, 俺已经操刀对其进行了破解,可使用捐助版本才能使用的“自动购票”功能. 原版下载:软件下载  运行库下载:.NetFramework4. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jyeOoM.html" rel="bookmark" class="title">NOIP2001 Car的旅行路线</a>
					<div>
						题四 Car的旅行路线(30分) 问题描述 又到暑假了,住在城市A的Car想和朋友一起去城市B旅游.她知道每个城市都有四个飞机场,分别位于一个矩形的四个顶点上,同一个城市中两个机场之间有一条笔直的高速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KaQyL4.html" rel="bookmark" class="title">usb host鼠标不能使用原因</a>
					<div>
						linux kernel 2.6.35的板子插入USB鼠标,出现如下错误LOG: [  191.177508] Plug in USB Port2 [  191.363516] usb 1-1: ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j5Wm9M.html" rel="bookmark" class="title">关于看软件开发视频教程的感悟</a>
					<div>
						如第一视频教程,包括网页设计,软件设计等. 网上培训视频教程,包括张孝祥Java视频教程,北大青鸟软件视频教程,达内网上视频教程,毕向东视频教程,后盾网,兄弟连PHP视频教程,硅谷学院,51cto视频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGEqVy3.html" rel="bookmark" class="title">Axis1&period;4之即时发布服务</a>
					<div>
						下载axis1.4开发包,解压开发包,将webapps目录下的axis文件夹拷贝到tomcat的webapps目录下.启动tomcat,在浏览器输入http://localhost:8080/axis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP81qmM.html" rel="bookmark" class="title">CentOS 格式化磁盘</a>
					<div>
						今天在阿里云买了台服务器,挂载硬盘分区的时候 mount /dev/xvdb /soft 出现这个错误mount: you must specify the filesystem type,查了一下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47DJe1M.html" rel="bookmark" class="title">1、分割回文串&mdash;&mdash;回溯法</a>
					<div>
						题目: 给定一个字符串s,将s分割成一些子串,使每个子串都是回文串. 返回s所有可能的回文串分割方案. 样例 给出 s = &quot;aab&quot;,返回 [ [&quot;aa&quot;,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/498WBg3.html" rel="bookmark" class="title">HTML5 PC、Mobile调用摄像头（navigator&period;getUserMedia）</a>
					<div>
						废话少说,先贴上代码 html: 1 &lt;div id=&quot;main&quot; class=&quot;masthead&quot;&gt; 2 &lt;div id=&quot;fac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWkgLM.html" rel="bookmark" class="title">怎样学好C语言，一个成功人士的心得！</a>
					<div>
						今天,我能够自称是一个混IT的人,并能以此谋生,将来大家能一次谋生,都要感谢两个人:克劳德.香农和约翰.冯.诺依曼,是他们发现了全部的数字化信息,不论是一段程序,一封email,一部电影都是用一连串的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moaq2b3.html" rel="bookmark" class="title">Hibernate整合Struts2时报错</a>
					<div>
						今天在整合Hibernate和Struts2的时候遇到一个问题 总是出现各种异常,经过仔细检查,代码本身并没有问题, ----------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZjEz4.html" rel="bookmark" class="title">C&num;WinForm datagridview控件取消最左边存储行标题的列</a>
					<div>
						1 2 3					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jrXOZ0.html" rel="bookmark" class="title">javascript之url转义escape&lpar;&rpar;、encodeURI&lpar;&rpar;和decodeURI&lpar;&rpar;</a>
					<div>
						我们可以知道:escape()除了 ASCII 字母.数字和特定的符号外,对传进来的字符串全部进行转义编码,因此如果想对URL编码,最好不要使用此方法.而encodeURI() 用于编码整个URI,因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjzXKM.html" rel="bookmark" class="title">ruby 正则表达式</a>
					<div>
						Ruby学习笔记-正则表达式 Posted on 2011-11-29 17:55 Glen He 阅读(4998) 评论(0) 编辑 收藏 1.创建正则表达式 a) reg1 = /^[a-z]*$ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mmmk1QM.html" rel="bookmark" class="title">队列链表实现以及有序表的合并</a>
					<div>
						#include&lt;iostream&gt; #include&lt;algorithm&gt; using namespace std; typedef struct Node{ int dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JOWZBM.html" rel="bookmark" class="title">The SSH server rejected your password&period;Try again</a>
					<div>
						今天上午,一同事需要向服务器的指定目录下上传文件,领导让我这边给创建一个账号,具体操作如下: [email protected]:~# useradd -d/data_1/ftp/zhangyu/ - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXG6bX4.html" rel="bookmark" class="title">JS写的排序算法演示</a>
					<div>
						看到网上有老外写的,就拿起自已之前完成的jmgraph画图组件也写了一个.想了解jmgraph的请移步:https://github.com/jiamao/jmgraph 当前演示请查看:http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzDQ7q3.html" rel="bookmark" class="title">iOS HTTP网络请求Cookie的读取与写入&lpar;NSHTTPCookieStorage&rpar;</a>
					<div>
						当你访问一个网站时,NSURLRequest都会帮你主动记录下来你访问的站点设置的Cookie,如果 Cookie 存在的话,会把这些信息放在 NSHTTPCookieStorage 容器中共享,当你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEqGGgM.html" rel="bookmark" class="title">fork Function</a>
					<div>
						在「Advanced.Programming.in.the.UNIX.Environment, 3rd.Edition」一書中的8.3節 (p. 230),有個小程式,如下,是用來說明 UNIX 環境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME7xLg3.html" rel="bookmark" class="title">Paxos与zookeeper</a>
					<div>
						1,什么是Paxos算法? Paxos算法是分布式计算领域中一个非常重要的算法,主要解决分布式系统如何就某个值(决议)达成一致的问题.一个典型的场景是分布式数据库的一致问题:如果分布式数据库的各个节点 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
